/* DB18TO18a.SRC
 * Update script van Facilitor schema DB18 (5.3.1 GoldA to 5.3.1 GoldB)
 * $Revision$
 * $Id$
 */
column fcltlogfile new_value fcltlogfile NOPRINT;
select 'DB18to18a' || '_' || UPPER(USER || '_' || sys_context('USERENV', 'SERVICE_NAME') || '_' || sys_context('USERENV', 'SERVER_HOST')) || '_' || to_char(sysdate,'YYYYMMDD_HH24MISS') || '.lst' as fcltlogfile from dual;
spool &fcltlogfile

SET DEFINE OFF
SET HEADING OFF
SET FEEDBACK ON
SET VERIFY OFF
SET LINESIZE 1000
SET TIME ON
SET SERVEROUTPUT ON SIZE UNLIMITED;
/* om zeker te weten dat eventuele conversies goed gaan */
ALTER SESSION SET nls_territory='america';


PROMPT Dit script is gerund in user:
SHOW USER
SELECT 'De versie van Facilitor@' || USER || ' was ' || fac.getdbversion()
  FROM DUAL;
SET ECHO ON

/////////////////////////////////////////////////////////////////////////////////////////// FSN#26422
UPDATE fac_setting
   SET fac_setting_default = '9999999'
     , fac_setting_description = 'I can approve myself below or equal this limit or someone else must approve always above this limit'
     , fac_setting_pvalue = (CASE fac_setting_pvalue
                             WHEN '1'
                             THEN '9999999'
                             ELSE fac_setting_pvalue
                             END)
 WHERE fac_setting_name LIKE 'can_selfapprove';


///////////////////////////////////////////////////////////////////////////////////////////

BEGIN adm.systrackscript('$Id$', '$Revision$', 1); END;
/
@@RECRE18a.sql

SET ECHO OFF
SET FEEDBACK OFF
PROMPT ======================================================================
SELECT 'Schema FACILITOR@' || USER || ' is now ' || fac.getdbversion() FROM DUAL;
PROMPT
PROMPT Your schema upgrade is ready. Please check the logfile for errors.
PROMPT If in doubt please contact: SG|facilitor Helpdesk +31 53 4800 700
PROMPT Copyright (c) 1992-2013 SG|facilitor bv. All rights reserved.
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
SPOOL OFF
